#!/bin/bash
set -e

TMPDIR="$(mktemp -d)"
cp -v gencert.sh "${TMPDIR}/"
pushd "${TMPDIR}"

for DISTRO in alpine:3.7 ubuntu:bionic debian:stretch centos:7; do
  printf "\n\n\nTesting the script with ${DISTRO} ...\n\n\n"
  rm -vf openssl.cnf private.key public.crt ca.crt ca.key ca.srl
  docker run --rm -ti -v ${PWD}:/w -w /w ${DISTRO} sh gencert.sh --cn test.example.com
  printf "\n\n\n"
done

popd
echo "WARNING, I am going to remove ${TMPDIR} entirely in 5 seconds!"
sleep 5
rm -rf "${TMPDIR}"
